<?php
/**
 * Copyright © Firebear Studio GmbH, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace Firebear\PlatformSap\Model\Order\Creditmemo;

use Firebear\PlatformSap\Api\Data\CreditmemoItemCreationInterface;

/**
 * Class ItemCreation
 */
class ItemCreation extends \Magento\Sales\Model\Order\Creditmemo\ItemCreation implements CreditmemoItemCreationInterface
{
    /**
     * @var string
     */
    private $sku;

    /**
     * @return string
     */
    public function getSku()
    {
        return $this->sku;
    }

    /**
     * @param string $sku
     * @return $this|ItemCreation
     */
    public function setSku(string $sku)
    {
        $this->sku = $sku;
        return $this;
    }
}
